/*
  Copyright (C) 2002 by Krzysztof Langner

  This code is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package roboplayer.action;

import roboplayer.geometry.Polar;
import roboplayer.body.Body;
import roboplayer.memory.Memory;
import roboplayer.memory.VisualInfo;
import roboplayer.memory.ObjectInfo;


class ClearOrPassAction extends BaseAction {
  /**
   * Constructor
   */
  public ClearOrPassAction(Body body, Memory memory) {
    super("ClearOrPass", body, memory);
  }

  /**
   * Execute skill
   */
  public void run(){
    VisualInfo  visualInfo = memory.getVisualInfo();
		Polar       target = visualInfo.getNearestTeammate();
    ObjectInfo  ball = visualInfo.getBall();
    double      angle;
    double      dir = 0;


    if(ball == null)
      return;

    if(target == null || visualInfo.getOpponentPlayer(target.dir) != null)
    {
      Polar p1 = visualInfo.getLandmark("flag c b");
      Polar p2 = visualInfo.getLandmark("flag c t");
      if(Math.abs(p1.dir + ball.dir) < Math.abs(p2.dir + ball.dir))
        target = p1;
      else
        target = p2;
    }

    kickAt(100, target.dir);
  }

}
