/*
  Copyright (C) 2002 by Krzysztof Langner

  This code is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


package roboplayer.action;

import roboplayer.geometry.Polar;
import roboplayer.body.Body;
import roboplayer.memory.Memory;
import roboplayer.memory.ObjectInfo;


class InterceptBallAction extends BaseAction {

  /**
   * Constructor
   */
  public InterceptBallAction(Body body, Memory memory) {
    super("InterceptBall", body, memory);
  }

  /**
   * Go to next ball position
   */
  public void run(){
    ObjectInfo ball = memory.getVisualInfo().getBall();

    if(ball != null){
      Polar change = ball.getChange();
      Polar ballPos = new Polar(ball.dist + change.dist,
                                ball.dir + change.dir);
//System.out.println("-------------------------------------------------");
//System.out.println(ball);
//System.out.println(ballPos);
//System.out.println(ball.getPosition());
//System.out.println(ballPos.getPosition());
      dashTo(ballPos);
    }
  }

}
