/*
  Copyright (C) 2002 by Krzysztof Langner

  This code is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package roboplayer.action;

import roboplayer.geometry.Polar;
import roboplayer.geometry.Vector2d;
import roboplayer.body.Body;
import roboplayer.memory.Memory;



class KeepDefensivePosAction extends BaseAction {

  /**
   * Constructor
   */
  public KeepDefensivePosAction(Body body, Memory memory) {
    super("keepDefensivePosition", body, memory);
  }

  /**
   * Execute skill
   */
  public void run()
  {
    Vector2d  pos = memory.getTacticalInfo().getDefaultPos();
    Polar     p = memory.getVisualInfo().getPolar(pos);

    if(p.dist > 1)
      dashToBackward(pos);
  }
/*
  public void run(){
    VisualMemory  visualMemory = robot.getVisualMemory();
    ObjectInfo    ball = visualMemory.getBall();
    Vector2d      pos = visualMemory.positionFromPolar(ball);
    double        dist = Params.getGoalWidth()/2;
    Polar         p;

    pos.x += Params.PITCH_LENGTH/2;
    double t = dist/pos.getLength();
//    System.out.println("t = " + t);
    pos.multiply(dist/pos.getLength());
    pos.x -= Params.PITCH_LENGTH/2;
    p = visualMemory.getPolar(pos);
//    System.out.println("Calculated position = " + pos);

    if(p.dist > 1)
    {
//      System.out.println("Move to my goal position");
      robot.getBaseSkills().dashTo(robot.getTacticalInfo().getDefaultPos());
    }
    else
    {
//      System.out.println("turn " + m_visualMemory.getMyDirection());
      robot.getBody().turn(ball.dir);
    }
  }
*/
}
