/*
  Copyright (C) 2002 by Krzysztof Langner

  This code is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package roboplayer.action;

import java.lang.Math;
import roboplayer.geometry.Vector2d;
import roboplayer.body.Body;
import roboplayer.memory.Memory;



class PrepareToGameAction extends BaseAction {
  /**
   * Constructor
   */
  public PrepareToGameAction(Body body, Memory memory) {
    super("PrepareToGame", body, memory);
  }

  /**
   * Move to default position
   */
  public void run(){
    Vector2d pos = memory.getTacticalInfo().getDefaultPos();

    if(pos == null){
      pos = new Vector2d( -Math.random()*52.5 , (Math.random()*68.0)-34 );
    }

    body.move(pos.x, pos.y);
  }

}
