/*
  Copyright (C) 2002 by Krzysztof Langner

  This code is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package roboplayer.action;

import roboplayer.geometry.Polar;
import roboplayer.geometry.Vector2d;
import roboplayer.body.Body;
import roboplayer.memory.Memory;
import roboplayer.memory.VisualInfo;
import roboplayer.memory.ObjectInfo;


class ShootOrPassAction extends BaseAction {
  /**
   * Constructor
   */
  public ShootOrPassAction(Body body, Memory memory) {
    super("ShootOrPass", body, memory);
  }

  /**
   * Execute skill
   */
  public void run(){
    VisualInfo  visualInfo = memory.getVisualInfo();
		Polar goal = visualInfo.getOpponentGoalPos();

		if(goal == null)
		{
			return;
		}
		if(goal.dist < 30.0)
		{
      ShootAction s = new ShootAction(body, memory);
			s.run();
    }
		else
		{
			ObjectInfo target = visualInfo.getNearestTeammate();

      if(target == null)
        kickAt(20,goal.dir);
      else
      {
        Vector2d pos = visualInfo.positionFromPolar(target);

	  		if(pos.x < visualInfo.getPosition().x)
		  		kickAt(100,goal.dir);
			  else
				  kickAt(100,target.dir);
      }
		}
  }

}
