/*
  Copyright (C) 2002 by Krzysztof Langner

  This code is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package roboplayer.expert;

import roboplayer.query.QuerySystem;


public class Rule
{

	//---------------------------------------------------------------------------
	/** This constructor */
	public Rule(String condition,  String action, QuerySystem knowledge)
	{
    this.condition = condition.trim();
    this.action = action.trim();
    this.knowledge = knowledge;
  }

	//---------------------------------------------------------------------------
	/**
	* Execute rule
	*/
	public String execute()
	{
    if(condition.charAt(0) == '!'){
      if(!knowledge.ask(condition.substring(1)))
        return action;
    }
    else if(condition.charAt(0) == '<'){
      return action;
    }
    else{
      if(knowledge.ask(condition))
        return action;
    }

    return null;
  }

	//---------------------------------------------------------------------------
	public String toString()
	{
    return "if " + condition + " then " + action;
  }

	//---------------------------------------------------------------------------
  // Private members
  private String    condition;
  private String    action;
  private QuerySystem knowledge;
}

