/*
  Copyright (C) 2002 by Krzysztof Langner

  This code is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package roboplayer.memory;

import roboplayer.geometry.Polar;

/**
 * Represents object in Visual information.
 * @author Krzysztof Langner
 * @version 1.0
 */
public class ObjectInfo extends Polar
{
  //----------------------------------------------------------------------------
  /** Constructor
  *
  * @param   value  a name of this object <code>String</code>.
  */
	public ObjectInfo(String type)
	{
		name = type;
		dist = 200;//Params.PITCH_LENGTH;
		dir = 0;
	}


  //----------------------------------------------------------------------------
  /** Estimate object next position */
  public Polar getChange()
  {
    return new Polar(distChange, dirChange);
  }

  //----------------------------------------------------------------------------
  /** debug info */
  public String toString()
  {
    return name + " r = " + dist + " a = " + dir + " dr = " + distChange + " da = " + dirChange;
  }

  //===========================================================================
  // Properities

  /** Name of this object */
	public String	name;
  /** Distane change */
	public double		distChange = 0;
  /** Direction chage */
	public double		dirChange = 0;
  /** Face direction (for players) */
  public double		faceDir = 0;
  public double   probability = 1;


  //===========================================================================
  // Private members
  /** Object decay */
	private double		m_decay = 1;
}

