/*
  Copyright (C) 2002 by Krzysztof Langner

  This code is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package roboplayer.memory;


import roboplayer.geometry.Vector2d;
import roboplayer.geometry.Rectangle;

/**
 * This class keeps information about tactical information
 * @author Krzysztof Langner
 * @version 1.0
 */
public class TacticalInfo
{
  //----------------------------------------------------------------------------
  /** Constructor */
  public TacticalInfo()
  {
  }

  //----------------------------------------------------------------------------
  public void setDefaultPos(Vector2d pos)
  {
    defaultPos = pos;
  }

  //----------------------------------------------------------------------------
  public Vector2d getDefaultPos()
  {
    return defaultPos;
  }

  //----------------------------------------------------------------------------
  public void setArea(Rectangle area)
  {
    this.area = area;
  }

  //----------------------------------------------------------------------------
  public Rectangle getArea()
  {
    return area;
  }

  //----------------------------------------------------------------------------
  // Private members
  private Vector2d  defaultPos = new Vector2d();
  private Rectangle area = new Rectangle();
}