/*
  Copyright (C) 2002 by Krzysztof Langner

  This code is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package roboplayer.query;

import roboplayer.memory.Memory;

public abstract class Query {

  //----------------------------------------------------------------------------
  /**
   * Constructor
   */
  public Query(String name, Memory memory) {
  	this.name = name;
    this.memory = memory;
  }


  //----------------------------------------------------------------------------
  /**
   * Get query name
   */
  public String getName(){
    return name;
  }

  //----------------------------------------------------------------------------
  /**
   * Ask question
   */
  public abstract boolean ask();

  protected Memory    memory;
  private		String    name;
}
